Subject: Re: bug#44650: Do not suggest `guix pull --news' after first pull

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Sun, 15 Nov 2020 16:17:17 +0100

On Sun, Nov 15, 2020 at 02:56:30AM +0100, pelzflorian (Florian Pelz) wrote:
> -  (when previous
> +  (if previous
>      (let ((old-channels (profile-channels previous))
>            (new-channels (profile-channels profile)))
>        ;; Find the channels present in both PROFILE and PREVIOUS, and print
> @@ -405,7 +405,8 @@ previous generation.  Return true if there are news to display."
>                                                        #:concise? #t)))
>                      channels))
>  
> -             (any ->bool more?))))))
> +             (any ->bool more?))))
> +    #f))

I changed the patch to use `and` instead of `if` (attached).  I
confirmed that channel news display fine on a later `guix pull`.

Should I add a copyright line?  I believe no.

Regards,
Florian
>From 8b1557004f618a47d4bea3a65a5b88c4cb718c4c Mon Sep 17 00:00:00 2001
From: Florian Pelz <[email-masked]>
Date: Sat, 14 Nov 2020 23:36:52 +0100
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
Subject: [PATCH] pull: Do not suggest running `guix pull --news' on the first
 run.

* guix/scripts/pull.scm (display-channel-news-headlines): If there
are no news to display, return false instead of <unspecified>.
---
 guix/scripts/pull.scm | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/guix/scripts/pull.scm b/guix/scripts/pull.scm
index bb1b560a22..7fd8b3f1a4 100644
--- a/guix/scripts/pull.scm
+++ b/guix/scripts/pull.scm
@@ -385,7 +385,7 @@ previous generation.  Return true if there are news to display."
     (and=> (relative-generation profile -1)
            (cut generation-file-name profile <>)))
 
-  (when previous
+  (and previous
     (let ((old-channels (profile-channels previous))
           (new-channels (profile-channels profile)))
       ;; Find the channels present in both PROFILE and PREVIOUS, and print
-- 
2.29.1